Forum

Results 1 to 3 of 3
  1. #1
    Join Date
    May 2015
    Posts
    17

    Question ts3server_flushVirtualServerVariable(serverID) gives AccesViolationExeption

    ts3server_flushVirtualServerVariable(serverID) gives AccesViolationExeption after moving to higher TS3-Api version

    hi,

    i have an issue with the command “ts3server_flushVirtualServerVariable(serverI D);” after I moved from version 3.0.2.0 to 3.0.3.2. It throws the error “AccesViolationExeption” after I replaced the old .dll files with the new ones (see attachment). In the documentation are no changes to see for implementation for this function.

    Code:
    /* Flush above two changes to server */
                error = ts3server.ts3server_flushVirtualServerVariable(serverID);
                if (error != Voice_Net_Server.ts3_classes.public_errors.ERROR_ok)
                {
                    app_classes.optical_data.command_cache_log_public += "Error flushing server variables: " + error + ".\n";
                    return;
                }
    Code:
           [DllImport("ts3server_win64.dll", EntryPoint = "ts3server_flushVirtualServerVariable")]
            public static extern uint ts3server_flushVirtualServerVariable(uint64 serverID);
    Can anyone help me, why I get this error with the new version? When I use the dll’s of the old version it works great, but I want to use the newest version for improvement reasons.
    Attached Thumbnails Attached Thumbnails Click image for larger version. 

Name:	ts3_error_2.PNG 
Views:	56 
Size:	17.4 KB 
ID:	13568   Click image for larger version. 

Name:	ts3_error.PNG 
Views:	61 
Size:	162.3 KB 
ID:	13567  
    Last edited by Unreal_NeoX; February 18th, 2016 at 01:06 PM.

  2. #2
    Join Date
    May 2015
    Posts
    17
    So there is no hope? Do we have to stick with 3.0.2.0?
    That's pretty sad, that there is no higher working version for C# development.
    I hope it get fixed in the future.

  3. #3
    Join Date
    January 2016
    Location
    Munich / Bavaria
    Posts
    16
    Hi,

    I think you use our old c# wrapper.

    One different between 3.0.2.0 and 3.0.3.2 is, that we added new callbacks. You must update your callback structure.

    Unfortunately, we do not have a new version of the c# wrapper.

    Regards

    Alex

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. invalid ServerID
    By elmejo91 in forum Server Support
    Replies: 4
    Last Post: June 24th, 2011, 05:12 PM
  2. TS interface error: invalid serverID
    By Mavrik347 in forum Tools / Web Based
    Replies: 3
    Last Post: October 14th, 2010, 07:45 PM
  3. TS interface error: invalid serverID
    By Mavrik347 in forum Server Support
    Replies: 0
    Last Post: October 13th, 2010, 05:31 PM
  4. ts3server_flushVirtualServerVariable
    By King_Xulu in forum General Questions
    Replies: 0
    Last Post: June 26th, 2010, 01:55 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •